> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/v1/other/favorite-rules.md).

# Favorite Rules

How to make your rules favorite

## Mark rules as favorite

You can mark any of you rule as a favorite. Your favorite rules will appear on the top of a list.

{% hint style="warning" %}
The procedure is the same for **Decision Tables, Scripting Rules** and **Rule Flow.**
{% endhint %}

### How to mark the rule as favorite

Next to every rule is a ![](https://content.gitbook.com/content/dv9UprVu3KjO5la255ws/blobs/FtwSMxoDOFu01Ltf5Zie/star.PNG) which you can click on to make your rule **Favorite**. The rules will be reorganized after page refresh. Favorite rules will be on the top.

![](https://content.gitbook.com/content/dv9UprVu3KjO5la255ws/blobs/m4FXdkDou1diatxpXEKz/nonFavorite.PNG)

### How to mark the rule as not favorite

If you want to undo **Favorite**, click on \*\*\*\* ![](https://content.gitbook.com/content/dv9UprVu3KjO5la255ws/blobs/FEgAzyJNNYy8QrF8NO2r/star%20yellow.PNG) and the rule won't be your favorite anymore. The rules will reorganize after therefresh.

![](https://content.gitbook.com/content/dv9UprVu3KjO5la255ws/blobs/wk4TXTynfzFuJPbFq2FK/favorite.PNG)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decisionrules.io/doc/v1/other/favorite-rules.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
